#include <stdio.h>
#include <stdlib.h>
int main() {
    int N;
    scanf("%d", &N);
    int A[N], B[N];
    for (int i=0; i<N; i++) {
        scanf("%d", &A[i]);
    }
    for (int i = 0; i < N; i++) {
        scanf("%d", &B[i]);
    }
    int max = 0;
    for (int L=0; L<N; L++) {
        int xor =0;
        int and =-1;
        for (int R=L;R<N;R++) {
            xor ^=A[R];
            and &=B[R];
            if (and==0) {
                break;
            }
            int s=xor * and;
            if (s>max) {
                max=s;
            }
        }
    }
    printf("Najveca vrednost:%d", max);
    return 0;

}